Bug 1130802 - [abrt] empathy: g_variant_type_info_check(): empathy-chat killed by SIGSEGV
Summary: [abrt] empathy: g_variant_type_info_check(): empathy-chat killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: empathy
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b2ca95580b6d1ec5a337e1ba2de...
: 1131606 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-17 23:08 UTC by Kamil J. Dudek
Modified: 2015-06-29 22:07 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:07:00 UTC


Attachments (Terms of Use)
File: backtrace (63.41 KB, text/plain)
2014-08-17 23:08 UTC, Kamil J. Dudek
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-17 23:08 UTC, Kamil J. Dudek
no flags Details
File: core_backtrace (69.02 KB, text/plain)
2014-08-17 23:08 UTC, Kamil J. Dudek
no flags Details
File: dso_list (23.34 KB, text/plain)
2014-08-17 23:08 UTC, Kamil J. Dudek
no flags Details
File: environ (973 bytes, text/plain)
2014-08-17 23:08 UTC, Kamil J. Dudek
no flags Details
File: exploitable (117 bytes, text/plain)
2014-08-17 23:08 UTC, Kamil J. Dudek
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-17 23:08 UTC, Kamil J. Dudek
no flags Details
File: maps (116.94 KB, text/plain)
2014-08-17 23:08 UTC, Kamil J. Dudek
no flags Details
File: open_fds (1.33 KB, text/plain)
2014-08-17 23:08 UTC, Kamil J. Dudek
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2014-08-17 23:08 UTC, Kamil J. Dudek
no flags Details
File: var_log_messages (385 bytes, text/plain)
2014-08-17 23:08 UTC, Kamil J. Dudek
no flags Details

Description Kamil J. Dudek 2014-08-17 23:08:24 UTC
Version-Release number of selected component:
empathy-3.10.3-2.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/libexec/empathy-chat
crash_function: g_variant_type_info_check
executable:     /usr/libexec/empathy-chat
kernel:         3.15.9-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 g_variant_type_info_check at gvarianttypeinfo.c:164
 #1 g_variant_type_info_get_type_string at gvarianttypeinfo.c:200
 #2 g_variant_get_type at gvariant.c:2073
 #3 append_value_to_blob at gdbusmessage.c:2426
 #4 append_body_to_blob at gdbusmessage.c:2542
 #5 g_dbus_message_to_blob at gdbusmessage.c:2711

Potential duplicate: bug 1079665

Comment 1 Kamil J. Dudek 2014-08-17 23:08:27 UTC
Created attachment 927557 [details]
File: backtrace

Comment 2 Kamil J. Dudek 2014-08-17 23:08:29 UTC
Created attachment 927558 [details]
File: cgroup

Comment 3 Kamil J. Dudek 2014-08-17 23:08:31 UTC
Created attachment 927559 [details]
File: core_backtrace

Comment 4 Kamil J. Dudek 2014-08-17 23:08:33 UTC
Created attachment 927560 [details]
File: dso_list

Comment 5 Kamil J. Dudek 2014-08-17 23:08:34 UTC
Created attachment 927561 [details]
File: environ

Comment 6 Kamil J. Dudek 2014-08-17 23:08:35 UTC
Created attachment 927562 [details]
File: exploitable

Comment 7 Kamil J. Dudek 2014-08-17 23:08:36 UTC
Created attachment 927563 [details]
File: limits

Comment 8 Kamil J. Dudek 2014-08-17 23:08:39 UTC
Created attachment 927564 [details]
File: maps

Comment 9 Kamil J. Dudek 2014-08-17 23:08:40 UTC
Created attachment 927565 [details]
File: open_fds

Comment 10 Kamil J. Dudek 2014-08-17 23:08:41 UTC
Created attachment 927566 [details]
File: proc_pid_status

Comment 11 Kamil J. Dudek 2014-08-17 23:08:43 UTC
Created attachment 927567 [details]
File: var_log_messages

Comment 12 Jerry James 2014-08-18 17:57:44 UTC
Another user experienced a similar problem:

Empathy worked for me last week.  On Friday, I ran yum upgrade before leaving work, then ran it again on arriving this morning (Monday).  That gave me a new kernel, 3.15.10-200.fc20.x86_64, so I rebooted.  Now I can't get empathy to work.  When I start it, I see the contact list for a split second, then it disappears.  Then the window for the room I hang out in all day opens.  If I type in the room window, everything is fine.  But the second that mouse focus leaves that window, it disappears, too.  ABRT shows three separate crashes for empathy, which is suspicious.  Something lower down in the stack must have changed.  I will file bugs for all 3 crashes in case that yields a clue as to what is really going on.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/libexec/empathy-chat
crash_function: g_variant_type_info_check
executable:     /usr/libexec/empathy-chat
kernel:         3.15.10-200.fc20.x86_64
package:        empathy-3.10.3-2.fc20
reason:         empathy-chat killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 James Davidson 2014-08-19 18:38:39 UTC
Another user experienced a similar problem:

Crashes when starting empathy after applying updates up to Aug 18.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/libexec/empathy-chat
crash_function: g_variant_type_info_check
executable:     /usr/libexec/empathy-chat
kernel:         3.15.10-200.fc20.x86_64
package:        empathy-3.10.3-2.fc20
reason:         empathy-chat killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 hage 2014-08-20 09:16:09 UTC
Another user experienced a similar problem:

Start Empathy from Gnome-Dash.
The roster opens and then closes after some seconds

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        empathy
crash_function: g_variant_type_info_check
executable:     /usr/bin/empathy
kernel:         3.15.10-200.fc20.x86_64
package:        empathy-3.10.3-2.fc20
reason:         empathy killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Jerry James 2014-08-20 14:50:41 UTC
For the benefit of those stumbling across this problem, it turns out that the triggering event is updating to zeitgeist-0.9.14-3.  Downgrading to zeitgeist-0.9.14-2 fixes the problem for me.

Comment 16 James Davidson 2014-08-20 22:08:20 UTC
(In reply to Jerry James from comment #15)
> For the benefit of those stumbling across this problem, it turns out that
> the triggering event is updating to zeitgeist-0.9.14-3.  Downgrading to
> zeitgeist-0.9.14-2 fixes the problem for me.

Yes, downgrading to 0.9.14-2 fixed it. See Bug 1130769.

Comment 17 Steven Hadfield 2014-08-25 17:02:04 UTC
The latest zeitgeist packages as mentioned in Bug 1130769 seems to fix the problem for me:
zeitgeist.x86_64 0.9.16-0.2.20140808.git.ce9affa.fc20
zeitgeist-libs.x86_64 0.9.16-0.2.20140808.git.ce9affa.fc20

Comment 18 Steven Hadfield 2014-08-25 17:09:15 UTC
*** Bug 1131606 has been marked as a duplicate of this bug. ***

Comment 19 Fedora End Of Life 2015-05-29 12:39:37 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Fedora End Of Life 2015-06-29 22:07:00 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.